scim_hotkey.h File Reference

Defines the scim::HotkeyMatcher and scim::IMEngineHotkeyMatcher classes. More...

## Classes

class | scim::HotkeyMatcher
| This class is used to match a KeyEvent among a set of hotkeys. More...
class | scim::IMEngineHotkeyMatcher
| This class hold all Hotkeys for each IMEngines. More...
class | scim::FrontEndHotkeyMatcher
| This class hold all FrontEnd specific Hotkeys, such as trigger keys, on/off keys, etc. More...

## Namespaces

namespace | scim

## Enumerations

enum | scim::FrontEndHotkeyAction { scim::SCIM_FRONTEND_HOTKEY_NOOP = 0 , scim::SCIM_FRONTEND_HOTKEY_TRIGGER = 1 , scim::SCIM_FRONTEND_HOTKEY_ON = 2 , scim::SCIM_FRONTEND_HOTKEY_OFF = 3 , scim::SCIM_FRONTEND_HOTKEY_NEXT_FACTORY = 4 , scim::SCIM_FRONTEND_HOTKEY_PREVIOUS_FACTORY = 5 , scim::SCIM_FRONTEND_HOTKEY_SHOW_FACTORY_MENU = 6 }
| FrontEnd actions which could be binded with Hotkeys. More...

## Detailed Description

Defines the scim::HotkeyMatcher and scim::IMEngineHotkeyMatcher classes.